Subject: bug#63311: 30.0.50; [PATCH] smtpmail-send-it split

From: Manuel Giraud <[email-masked]>
Date: Sun, 05 Nov 2023 17:12:03 +0100

Eli Zaretskii <[email-masked]> writes:

[...]

>> As for when something goes wrong and we end up in an 'error' call, maybe
>> we should fix how 'error' behave inside a thread.  What am I missing?
>
> Nothing, AFAIU.  Instead of making smtpmail-send-it optionally working
> asynchronously, it should be perfectly valid to have a separate
> function called, say, message-send-asynchronously, which would work
> with background threads and implement the same protocol as the other
> MUA's send-it functions do.

Ok.  But there is still the case where any 'error' call from a thread
will end up in limbo, no?
-- 
Manuel Giraud